
def get_naming_convention(name):
    if name.startswith("__") and name.endswith("__"):
        return "special_variable"
    elif name.lower() != name:
        if name[0] == name[0].lower():
            return 'mixedCase'
        else:
            return 'CamelCase'
    elif name.find("_") != -1:
        if name.lower() == name:
            return 'plain_or_underscore'
        else:
            return 'underscore_with_mixed_case'
    return 'plain_or_underscore'

def directory_splitter(path,include_filename = False):
    if include_filename:
        path_hierarchy = path.split("/")
    else:
        path_hierarchy = path.split("/")[:-1]
    if path.startswith('/'):
        path_hierarchy = path_hierarchy[1:]
    paths = []
    current_path = ''
    for partial_path in path_hierarchy:
        paths.append(current_path)
        current_path+="/"+partial_path
    paths.append(current_path)
    return paths
